List Running Security Groups For Space

List Running Security Groups For Space
List running security groups for a space

This endpoint returns security groups that are enabled for running globally or at the space level for the given space.

Request
URI
GET
https://api.example.local/v3/spaces/{guid}/running_security_groups
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SecurityGroupList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "name": "string",
            "globally_enabled": {
                "running": false,
                "staging": false
            },
            "rules": [
                {
                    "protocol": "string",
                    "destination": "string",
                    "ports": "string",
                    "type": 0,
                    "code": 0,
                    "description": "string"
                }
            ],
            "running_spaces": {
                "data": [
                    {
                        "guid": "string"
                    }
                ]
            },
            "staging_spaces": {
                "data": [
                    {
                        "guid": "string"
                    }
                ]
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "running_spaces": {
                    "href": "string",
                    "method": "string"
                },
                "staging_spaces": {
                    "href": "string",
                    "method": "string"
                }
            },
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            }
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

resources


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/spaces/{guid}/running_security_groups